LYNX(1)

JMÉNO
lynx - prohlížeč pro World Wide Web

POUŽITÍ
lynx [volby] [cesta nebo URL]

"lynx -help" zobrazí úplný seznam dostupných voleb.

POPIS
Lynx je plnohodnotný klient pro World Wide Web (WWW) pro uživatele používající textová zobrazovací zařízení s adresovatelným kurzorem (například terminály vt100, jejich emulátory pro PC či Mac, nebo cokoliv jiného "curses-orientovaného"). Zobrazuje dokumenty ve formátu HTML s odkazy na soubory na lokálním systému, stejně jako soubory na vzdálených systémech s Gopher, HTTP, FTP, WAIS nebo NNTP serverem. Současné verze Lynxu existují pro Unix, VMS, Windows 95/NT, 386DOS a OS/2 EMX.

Lynx může být používán k přístupu k informacím na WWW nebo k vytváření informačních systémů zaměřených na lokální provoz. Lynx byl například použit k vybudování několika univerzitních informačních systémů (CWIS - Campus Wide Information Systems). Lynx může být použit na vybudování systémů izolovaných na samostatné lokální síti.

VOLBY
Po spuštění Lynx načte lokální soubor nebo vzdálené URL zadané na příkazové řádce. Nápovědu v používání URL získáte takto: stiskněte "?" nebo "H" když máte Lynx spuštěný. Pak následujte link s názvem "Help on URLs." Lynx používá pouze dlouhé názvy voleb. Názvy voleb mohou začínat i dvěmi pomlčkami, případně lze zaměnit pomlčku za podtržítko (níže uvádíme volby s jednou pomlčkou a podtržítky)

-   Pokud je '-' zadáno jako jediný argument, Lynx očekává volby na standardním vstupu. To dovoluje použít potenciálně velmi dlouhý příkaz, který se využije například s volbami -get_data nebo -post_data (viz níže). Také se to používá, aby nebyly citlivé informace na příkazovém řádku (tj. na většině systémů viditelné ostatními procesy), zvlášť pokud jsou použíty volby -auth nebo -pauth.

-accept_all_cookies
    akceptuje všechny cookies

-anonymous
    aplikuje omezení pro anonymní účet; viz též -restrictions.

-assume_charset=názevMIME
    znaková sada pro dokumenty, které ji nespecifikují.

-assume_local_charset=názevMIME
    znaková sada pro lokální soubory.

-assume_unrec_charset=názevMIME
    znaková sada pro dokumenty, kde nebyla rozpoznána.

-auth=ID:HESLO
    nastavuje ověřovací identitu a heslo pro chráněné dokumenty načítané při spuštění. Dobře zabezpečte skripty používající tuto volbu.

-base
    Na začátek HTML výstupů při použití volby -source přidá komentář o požadovaném URL a BASE tag.

-bibp=URL
    adresa lokálního bibp serveru (výchozí hodnota http://bibhost/).

-blink
    v barevném režimu, je-li dostupný a podporovaný terminálem, vynutí intenzivní barvy pozadí. Platí pro knihovnu slang (tj. pro nové emulátory terminálů) nebo pro OS/2 EMX s ncurses.

-book
    použije stránku se záložkami jako počáteční. Implicitní počáteční stránka nebo stránka uvedená na příkazovém řádku je stále nastavena jako hlavní stránka (pro příkaz "na hlavní stránku") a bude použita, pokud je stránka se záložkami nepřístupná nebo prázdná.

-buried_news
    zapíná prohledávání článků v diskusních skupinách pro skryté odkazy a mění je na odkazy v diskusní skupině. Tato volba není doporučena, protože e-mailové adresy uzavřené do lomených závorek budou převedeny na falešné odkazy ve skupině a zprávy kódované pomocí uuencode mohou být zničeny.

-cache=POČET
    nastavuje POČET dokumentů udržovaných v cache (výchozí hodnota je 10).

-case
    prohledávání řetězců rozlišuje malá a velká písmena.

-center
    Zapne zarovnání na střed pro HTML TABLE.

-cfg=SOUBOR
    použije konfigurační SOUBOR místo implicitního lynx.cfg.

-child
    skončí při stisku levé šipky na počátečním souboru a zakáže ukládání na disk.

-cmd_log=SOUBOR
    zapisuje stisknuté klávesy a související informace do určeného souboru.

-cmd_script=FILENAME
    read keystroke commands from the specified file. You can use the data written using the -cmd_log option. Lynx will ignore other information which the command-logging may have written to the logfile. Each line of the command script contains either a comment beginning with "#", or a keyword:

    exit
        causes the script to stop, and forces lynx to exit immediately.

    key the character value, in printable form. Cursor and other special keys are given as names, e.g., "Down Arrow". Printable 7-bit ASCII codes are given as-is, and hexadecimal values represent other 8-bit codes.

    set followed by a "name=value" allows one to override values set in the lynx.cfg file.

-color
    forces color mode on, if available. Default color control sequences which work for many terminal types are assumed if the terminal capability description does not specify how to handle color. Lynx needs to be compiled with the slang library for this flag, it is equivalent to setting the COLORTERM environment variable. (If color support is instead provided by a color-capable curses library like ncurses, Lynx relies completely on the terminal description to determine whether color mode is possible, and this flag is not needed and thus unavailable.) A saved show_color=always setting found in a .lynxrc file at startup has the same effect. A saved show_color=never found in .lynxrc on startup is overridden by this flag.

-connect_timeout=N
    Sets the connection timeout, where N is given in seconds.

-cookie_file=FILENAME
    specifies a file to use to read cookies. If none is specified, the default value is ~/.lynx_cookies for most systems, but ~/cookies for MS-DOS.

-cookie_save_file=FILENAME
    specifies a file to use to store cookies. If none is specified, the value given by -cookie_file is used.

-cookies
    zapíná reakci na hlavičky Set-Cookie.

-core
    toggles forced core dumps on fatal errors. Turn this option off to ask lynx to force a core dump if a fatal error occurs.

-crawl
    pokud je navíc zadáno -traversal , uloží každou stránku do souboru. Spolu s -dump formátuje výstup jako -traversal, ale na standardní výstup.

-curses_pads
    toggles the use of curses "pad" feature which supports left/right scrolling of the display.

-debug_partial
    separate incremental display stages with MessageSecs delay

-delay
    add DebugSecs delay after each progress-message

-display=DISPLAY
    nastaví proměnnou DISPLAY pro vzdáleně spouštěné X programy.

-display_charset=MIMEname
    set the charset for the terminal output.

-dont_wrap_pre
    inhibit wrapping of text in <pre> when -dump'ing and -crawl'ing, mark wrapped lines in interactive session.

-dump
    vypíše formátovaný výstup implicitního nebo zadaného dokumentu na standardní výstup. Používá se tímto způsobem:

    lynx -dump http://www.subir.com/lynx.html

-editor=EDITOR
    povolí externí EDITOR (vi, ed, emacs, atd.)

-emacskeys
    zapíná pohyb klávesami jako v editoru emacs.

-enable_scrollback
    zapíná chování kompatibilní se scrollovacími klávesami komunikačních programů (může být nekompatibilní s některými verzemi curses).

-error_file=SOUBOR
    specifikuje SOUBOR, kam bude Lynx ukládat přístupové kódy HTTP.

-exec
    enable local program execution (normally not configured).

-fileversions
    zahrne všechny verze souborů ve výpisu adresáře lokálního systému VMS.

-find_leaks
    toggle memory leak-checking. Normally this is not compiled-into your executable, but when it is, it can be disabled for a session.

-force_empty_hrefless_a
    force HREF-less 'A' elements to be empty (close them as soon as they are seen).

-force_html
    počáteční soubor bude interpretován jako HTML dokument.

-force_secure
    toggles forcing of the secure flag for SSL cookies.

-forms_options
    toggles whether the Options Menu is key-based or form-based.

-from
    zapíná přenos hlaviček From.

-ftp
    zakazuje přístup k ftp.

-get_data
    korektně formátovaná data pro formulář get jsou čtena ze standardního vstupu a předávána formuláři. Vstup je ukončen řádkou začínající na '---'.

-head
    posílá požadavek HEAD pro získání hlaviček MIME.

-help
    vypíše hlášení o syntaxi příkazu Lynx.

-hiddenlinks=[option]
    control the display of hidden links. merge hidden links show up as bracketed numbers and are numbered together with other links in the sequence of their occurrence in the document. listonly hidden links are shown only on L)ist screens and listings generated by -dump or from the P)rint menu, but appear separately at the end of those lists. This is the default behavior. ignore hidden links do not appear even in listings.

-historical
    přepíná používání '>' a '-->' jako zakončení komentářů.

-homepage=URL
    nastaví domovskou stránku různou od počáteční stránky.

-image_links
    zapíná vložení odkazů pro všechny obrázky.

-index=URL
    nastavuje uvedené URL jako implicitní indexový soubor.

-ismap
    toggles inclusion of ISMAP links when client-side MAPs are present.

-justify
    do justification of text.

-link=ČÍSLO
    udává první ČÍSLO, které bude použito pro soubory lnk#.dat z výstupu volby -crawl.

-localhost
    zneplatní URL, která ukazují na vzdálené počítače.

-locexec
    povolí pouze provádění programů z lokálních souborů (pokud bylo povoleno při kompilaci).

-lss=FILENAME
    specify filename containing color-style information. The default is lynx.lss.

-mime_header
    zobrazí MIME hlavičku stahovaného dokumentu spolu s jeho zdrojovým textem.

-minimal
    přepíná parsing minimálních/platných komentářů.

-nested_tables
    toggles nested-tables logic (for debugging).

-newschunksize=POČET
    počet hlaviček článků ve výpisu diskusních skupin.

-newsmaxchunk=POČET
    maximální počet článků ve výpisech před shluknutím.

-nobold
    disable bold video-attribute.

-nobrowse
    zakáže prohlížení adresářů.

-nocc
    disable Cc: prompts for self copies of mailings. Note that this does not disable any CCs which are incorporated within a mailto URL or form ACTION.

-nocolor
    force color mode off, overriding terminal capabilities and any -color flags, COLORTERM variable, and saved .lynxrc settings.

-noexec
    zakáže provádění lokálních programů. (Implicitně zapnuto)

-nofilereferer
    vypne přenos Referer hlaviček pro souborová URL.

-nolist
    vypíná seznam linků v dumpech.

-nolog
    zakáže posílání chybových zpráv vlastníkům dokumentů.

-nonrestarting_sigwinch
    This flag is not available on all systems, Lynx needs to be compiled with HAVE_SIGACTION defined. If available, this flag may cause Lynx to react more immediately to window changes when run within an xterm.

-nopause
    vypíná vynucená čekání na hlášení na stavové řádce.

-noprint
    zakáže tiskové funkce.

-noredir
    chrání před automatickým přesměrováním prohlížeče; místo něj vypíše hlášení s odkazem na nové URL.

-noreferer
    vypne přenos Referer hlaviček.

-noreverse
    disable reverse video-attribute.

-nosocks
    vypíná používání SOCKS proxy u Lynxu s podporou SOCKS.

-nostatus
    zakáže stahování hlášení o stavu.

-nounderline
    disable underline video-attribute.

-number_fields
    force numbering of links as well as form input fields

-number_links
    zapíná číslování řádek.

-partial
    toggles display partial pages while loading.

-partial_thres=NUMBER
    number of lines to render before repainting display with partial-display logic

-pauth=ID:PASSWD
    set authorization ID and password for a protected proxy server at startup. Be sure to protect any script files which use this switch.

-popup
    přepíná zobrazování jednovýběrových voleb SELECT - buď jako popup okna, nebo jako sady rádiových knoflíků.

-post_data
    korektně formátovaná data pro formulář post jsou čtena ze standardního vstupu a předávána formuláři. Vstup je ukončen řádkou začínající na '---'.

-preparsed
    show HTML source preparsed and reformatted when used with -source or in source view.

-prettysrc
    show HTML source view with lexical elements and tags in color.

-print
    zapíná funkce pro tisk (standardně zapnuto).

-pseudo_inlines
    zobrazuje pseudo-popisy pro vložené obrázky bez popisu (ALT).

-raw
    zapíná implicitní nastavení přenosu 8-bitových znaků nebo módu CJK pro kódování počátečního dokumentu.

-realm
    povoluje přístup jen k URL uvedeným na příkazovém řádku.

-reload
    při načítání (pouze prvního) dokumentu nepoužije proxy server.

-restrictions=[volba][,volba][,volba]...
    nastavuje seznam omezení služeb. Následující seznam se vypíše, pokud nejsou zadány žádné volby. all - omezuje všechny níže uvedené volby. bookmark - zakazuje měnit umístění souboru s bookmarky. bookmark_exec - zakazuje spouštět programy přes soubor s bookmarky. change_exec_perms - zakazuje měnit přístupová práva pro spouštění souborů ( u adresářů je však stále povoleno ), pokud je povolena správa lokálních souborů. default - stejné jako volba -anonymous na příkazovém řádku. Zakazuje implicitní služby pro anonymní uživatele. Nyní nastaveno na vše kromě: inside_telnet, outside_telnet, inside_ftp, outside_ftp, inside_rlogin, outside_rlogin, inside_news, outside_news, telnet_port, jump, mail, print, exec a goto. Implicitní hodnoty se dají nastavit v userdefs.h. dired_support - zakazuje správu lokálních souborů. disk_save - zakazuje stahování binárních souborů na disk v menu Download a print. dotfiles - disallow access to, or creation of, hidden (dot) files. download - zakazuje stahování souborů v menu Download. editor - zakazuje editaci externím editorem. exec - zakazuje provádění skriptů. exec_frozen - nedovoluje uživateli změny ve volbě local execution. externals - disallow some "EXTERNAL" configuration lines if support for passing URLs to external applications (with the EXTERN command) is compiled in. file_url - zakazuje používání G)oto , bookmarků, nebo odkazů ze vzdálených dokumentů pro lokální soubory. goto - zakáže používat příkaz "g" (goto = jdi na). inside_ftp - zakáže používat ftp pro uživatele přistupující z vaší domény (potřebuje utmp pro rozlišování). inside_news - zakáže posílat příspěvky do USENETu (news) pro uživatele přistupující z vaší domény (potřebuje utmp pro rozlišování). inside_rlogin - zakáže rlogin pro uživatele přistupující z vaší domény (potřebuje utmp pro rozlišování). inside_telnet - zakáže telnet pro uživatele přistupující z vaší domény (potřebuje utmp pro rozlišování). jump - zakáže používat příkaz "j" (jump = skok). multibook - nedovolí používat více bookmarkových souborů. mail - zakáže posílání mailů. news_post - zakáže posílat příspěvky do USENETu (news). options_save - znemožní ukládat nastavení do souboru .lynxrc. outside_ftp - zakáže používat ftp pro uživatele přistupující z vnějších domén (potřebuje utmp pro rozlišování). outside_news - zakáže posílat příspěvky do USENETu (news) pro uživatele přistupující z vnějších domén (potřebuje utmp pro rozlišování). Toto omezení platí pro adresy "news", "nntp", "newspost" a "newsreply", ale nikoliv pro "snews", "snewspost" nebo "snewsreply", jsou-li podporovány. outside_rlogin - zakáže rlogin pro uživatele přistupující z vnějších domén (potřebuje utmp pro rozlišování). outside_telnet - zakáže telnet pro uživatele přistupující z vnějších domén (potřebuje utmp pro rozlišování). print - zakáže většinu tiskových funkcí. shell - zakáže shellové escape sekvence a spouštění programů (lynxexec, lynxprog ) . suspend - zakáže pozastavení (pomocí CTRL-Z) a následný návrat do shellu. telnet_port - nedovolí uvést port u telnetu. useragent - zakáže modifikaci hlavičky User-Agent.

-resubmit_posts
    přinutí znovuodeslat formulář metodou POST, pokud dokument, který byl navrácen je požadován příkazem PREV_DOC, nebo pomocí seznamu historie.

-rlogin
    vypíná rozpoznávání rlogin příkazů.

-scrollbar
    toggles showing scrollbar.

-scrollbar_arrow
    toggles showing arrows at ends of the scrollbar.

-selective
    vyžaduje .www_browsable soubor pro prohlížení adresářů.

-short_url
    show very long URLs in the status line with "..." to represent the portion which cannot be displayed. The beginning and end of the URL are displayed, rather than suppressing the end.

-show_cursor
    Pokud je povoleno, kurzor nebude skryt v pravém horním rohu, namísto toho bude umístěn na počátku právě vybraného odkazu. show_cursor je standardní nastavení pro systémy, které nemají FANCY_CURSES, toto může být změněno v userdefs.h nebo v lynx.cfg. Přepínač na příkazové řádce přepíná implicitní nastavení.

-show_rate
    If enabled the transfer rate is shown in bytes/second. If disabled, no transfer rate is shown. Use lynx.cfg or the options menu to select KB/second and/or ETA.

-soft_dquotes
    toggles emulation of the old Netscape and Mosaic bug which treated '>' as a co-terminator for double-quotes and tags.

-source
    chová se stejně jako dump, ale výstup je zdrojový HTML text namísto formátovaného textu.

-stack_dump
    disable SIGINT cleanup handler

-startfile_ok
    počáteční soubor nemusí být stahován přes HTTP (i při použití volby -validate).

-stdin
    read the startfile from standard input (UNIX only).

-syslog=text
    information for syslog call.

-tagsoup
    initialize parser, using Tag Soup DTD rather than SortaSGML.

-telnet
    vypne rozpoznávání příkazů pro telnet.

-term=TERM
    řekne Lynxu, jaký typ terminálu má používat. (Může se hodit, pokud se Lynx například připojí ke vzdálenému TCP/IP portu, který spustí skript, který spustí další Lynx).

-timeout=N
    For win32, sets the network read-timeout, where N is given in seconds.

-tlog
    toggles between using a Lynx Trace Log and stderr for trace output from the session.

-tna
    turns on "Textfields Need Activation" mode.

-trace
    zapíná WWW trasování. -tlog určí, kam je výstup ukládán.

-trace_mask=value
    turn on optional traces, which may result in very large trace files. Logically OR the values to combine options:
    1=SGML character parsing states
    2=color-style
    4=TRST (table layout)
    8=config (lynx.cfg and .lynxrc contents)
    16=binary string copy/append, used in form data construction.

-traversal
    prolézá všechny HTTP odkazy odvozené z počátečního souboru. Pokud je použito společně s -crawl, každý odkaz, který začíná stejným řetězcem jako počáteční soubor, je zapsán do souboru, který se může použít jako index. Více informací viz CRAWL.announce.

trim_input_fields
    trim input text/textarea fields in forms.

-underline_links
    toggles use of underline/bold attribute for links.

-underscore
    zapíná používání _podtržítkového_ formátu ve výpisu.

-use_mouse
    turn on mouse support, if available. Clicking the left mouse button on a link traverses it. Clicking the right mouse button pops back. Click on the top line to scroll up. Click on the bottom line to scroll down. The first few positions in the top and bottom line may invoke additional functions. Lynx must be compiled with ncurses or slang to support this feature. If ncurses is used, clicking the middle mouse button pops up a simple menu. Mouse clicks may only work reliably while Lynx is idle waiting for input.

-useragent=Name
    set alternate Lynx User-Agent header.

-validate
    přijímá pouze HTTP URL (pro ověřování platnosti). Kompletní bezpečnostní omezení jsou také implementovány.

-verbose
    toggle [LINK], [IMAGE] and [INLINE] comments with filenames of these images.

-version
    vytiskne číslo verze.

-vikeys
    zapíná pohyb klávesami jako v editoru vi.

-wdebug
    enable Waterloo tcp/ip packet debug (print to watt debugfile). This applies only to DOS versions compiled with WATTCP or WATT-32.

-width=NUMBER
    number of columns for formatting of dumps, default is 80.

-with_backspaces
    emit backspaces in output if -dump'ing or -crawl'ing (like 'man' does)

PŘÍKAZY
o Klávesy Šipka nahoru a Šipka dolů skáčí po hypertextových odkazech.
o Klávesy Šipka vpravo nebo Enter sledují vybraný hypertextový odkaz.
o Klávesa Šipka vlevo vrací o dokument zpět.
o Nápovědu a popis kláves získáte po stisknutí "h" nebo "?".
o Type "K" for a complete list of the current key-stroke command mappings.

PROSTŘEDÍ
In addition to various "standard" environment variables such as HOME, PATH, USER, DISPLAY, TMPDIR, etc, Lynx utilizes several Lynx-specific environment variables, if they exist.

Others may be created or modified by Lynx to pass data to an external program, or for other reasons. These are listed separately below.

See also the sections on SIMULATED CGI SUPPORT and NATIVE LANGUAGE SUPPORT, below.

Note: Not all environment variables apply to all types of platforms supported by Lynx, though most do. Feedback on platform dependencies is solicited.

Environment Variables Used By Lynx:

COLORTERM
    If set, color capability for the terminal is forced on at startup time. The actual value assigned to the variable is ignored. This variable is only meaningful if Lynx was built using the slang screen-handling library.

LYNX_CFG
    This variable, if set, will override the default location and name of the global configuration file (normally, lynx.cfg) that was defined by the LYNX_CFG_FILE constant in the userdefs.h file, during installation. See the userdefs.h file for more information.

LYNX_LOCALEDIR
    If set, this variable overrides the compiled-in location of the locale directory which contains native language (NLS) message text.

LYNX_LSS
    This variable, if set, specifies the location of the default Lynx character style sheet file. [Currently only meaningful if Lynx was built using experimental color style support.]

LYNX_SAVE_SPACE
    This variable, if set, will override the default path prefix for files saved to disk that is defined in the lynx.cfg SAVE_SPACE: statement. See the lynx.cfg file for more information.

LYNX_TEMP_SPACE
    This variable, if set, will override the default path prefix for temporary files that was defined during installation, as well as any value that may be assigned to the TMPDIR variable.

MAIL
    This variable specifies the default inbox Lynx will check for new mail, if such checking is enabled in the lynx.cfg file.

NEWS_ORGANIZATION
    This variable, if set, provides the string used in the Organization: header of USENET news postings. It will override the setting of the ORGANIZATION environment variable, if it is also set (and, on UNIX, the contents of an /etc/organization file, if present).

NNTPSERVER
    If set, this variable specifies the default NNTP server that will be used for USENET news reading and posting with Lynx, via news: URL's.

ORGANIZATION
    This variable, if set, provides the string used in the Organization: header of USENET news postings. On UNIX, it will override the contents of an /etc/organization file, if present.

PROTOCOL_proxy
    Lynx supports the use of proxy servers that can act as firewall gateways and caching servers. They are preferable to the older gateway servers (see WWW_access_GATEWAY, below). Each protocol used by Lynx, (http, ftp, gopher, etc), can be mapped separately by setting environment variables of the form PROTOCOL_proxy (literally: http_proxy, ftp_proxy, gopher_proxy, etc), to "http://some.server.dom:port/". See Lynx Users Guide for additional details and examples.

SSL_CERT_DIR
    Set to the directory containing trusted certificates.

SSL_CERT_FILE
    Set to the full path and filename for your file of trusted certificates.

WWW_access_GATEWAY
    Lynx still supports use of gateway servers, with the servers specified via "WWW_access_GATEWAY" variables (where "access" is lower case and can be "http", "ftp", "gopher" or "wais"), however most gateway servers have been discontinued. Note that you do not include a terminal '/' for gateways, but do for proxies specified by PROTOCOL_proxy environment variables. See Lynx Users Guide for details.

WWW_HOME
    This variable, if set, will override the default startup URL specified in any of the Lynx configuration files.

Environment Variables Set or Modified By Lynx:

LYNX_PRINT_DATE
    This variable is set by the Lynx p(rint) function, to the Date: string seen in the document's "Information about" page (= cmd), if any. It is created for use by an external program, as defined in a lynx.cfg PRINTER: definition statement. If the field does not exist for the document, the variable is set to a null string under UNIX, or "No Date" under VMS.

LYNX_PRINT_LASTMOD
    This variable is set by the Lynx p(rint) function, to the Last Mod: string seen in the document's "Information about" page (= cmd), if any. It is created for use by an external program, as defined in a lynx.cfg PRINTER: definition statement. If the field does not exist for the document, the variable is set to a null string under UNIX, or "No LastMod" under VMS.

LYNX_PRINT_TITLE
    This variable is set by the Lynx p(rint) function, to the Linkname: string seen in the document's "Information about" page (= cmd), if any. It is created for use by an external program, as defined in a lynx.cfg PRINTER: definition statement. If the field does not exist for the document, the variable is set to a null string under UNIX, or "No Title" under VMS.

LYNX_PRINT_URL
    This variable is set by the Lynx p(rint) function, to the URL: string seen in the document's "Information about" page (= cmd), if any. It is created for use by an external program, as defined in a lynx.cfg PRINTER: definition statement. If the field does not exist for the document, the variable is set to a null string under UNIX, or "No URL" under VMS.

LYNX_TRACE
    If set, causes Lynx to write a trace file as if the -trace option were supplied.

LYNX_TRACE_FILE
    If set, overrides the compiled-in name of the trace file, which is either Lynx.trace or LY-TRACE.LOG (the latter on the DOS platform). The trace file is in either case relative to the home directory.

LYNX_VERSION
    This variable is always set by Lynx, and may be used by an external program to determine if it was invoked by Lynx. See also the comments in the distribution's sample mailcap file, for notes on usage in such a file.

TERM
    Normally, this variable is used by Lynx to determine the terminal type being used to invoke Lynx. If, however, it is unset at startup time (or has the value "unknown"), or if the -term command-line option is used (see OPTIONS section above), Lynx will set or modify its value to the user specified terminal type (for the Lynx execution environment). Note: If set/modified by Lynx, the values of the LINES and/or COLUMNS environment variables may also be changed.

SIMULATED CGI SUPPORT
If built with the cgi-links option enabled, Lynx allows access to a cgi script directly without the need for an http daemon.

When executing such "lynxcgi scripts" (if enabled), the following variables may be set for simulating a CGI environment:

CONTENT_LENGTH

CONTENT_TYPE

DOCUMENT_ROOT

HTTP_ACCEPT_CHARSET

HTTP_ACCEPT_LANGUAGE

HTTP_USER_AGENT

PATH_INFO

PATH_TRANSLATED

QUERY_STRING

REMOTE_ADDR

REMOTE_HOST

REQUEST_METHOD

SERVER_SOFTWARE

Other environment variables are not inherited by the script, unless they are provided via a LYNXCGI_ENVIRONMENT statement in the configuration file. See the lynx.cfg file, and the (draft) CGI 1.1 Specification <http://Web.Golux.Com/coar/cgi/draft-coar-cgi-v11-00.txt> for the definition and usage of these variables.

The CGI Specification, and other associated documentation, should be consulted for general information on CGI script programming.

NATIVE LANGUAGE SUPPORT
If configured and installed with Native Language Support, Lynx will display status and other messages in your local language. See the file ABOUT_NLS in the source distribution, or at your local GNU site, for more information about internationalization.

The following environment variables may be used to alter default settings:

LANG
    This variable, if set, will override the default message language. It is an ISO 639 two-letter code identifying the language. Language codes are NOT the same as the country codes given in ISO 3166.

LANGUAGE
    This variable, if set, will override the default message language. This is a GNU extension that has higher priority for setting the message catalog than LANG or LC_ALL.

LC_ALL
    and

LC_MESSAGES
    These variables, if set, specify the notion of native language formatting style. They are POSIXly correct.

LINGUAS
    This variable, if set prior to configuration, limits the installed languages to specific values. It is a space-separated list of two-letter codes. Currently, it is hard-coded to a wish list.

NLSPATH
    This variable, if set, is used as the path prefix for message catalogs.

POZNÁMKY
Tohle je Lynx verze 2.8.4

Pokud chcete přispět k dalšímu vývoji Lynxu, přihlašte se do naší konference. Pošlete dopis na e-mailovou adresu <majordomo@sig.net> s jedinou řádkou "subscribe lynx-dev" v těle dopisu.

Zašlete hlášení o chybách, vaše připomínky, poznámky a návrhy na adresu <lynx-dev@sig.net> (po přihlášení).

Odhlásíte se posláním e-mailu na adresu <majordomo@sig.net> with "unsubscribe lynx-dev" s jedinou řádkou "unsubscribe lynx-dev" v těle dopisu. Neposílejte odhlašovací dopisy do vlastní konference (lynx-dev).

DALŠÍ INFORMACE
catgets(3), curses(3), environ(7), execve(2), ftp(1), gettext(GNU), localeconv(3), ncurses(3), setlocale(3), slang(?), termcap(5), terminfo(5), wget(GNU)

Note that man page availability and section numbering is somewhat platform dependent, and may vary from the above references.

A section shown as (GNU), is intended to denote that the topic may be available via an info page, instead of a man page (i.e., try "info subject", rather than "man subject").

A section shown as (?) denotes that documentation on the topic exists, but is not part of an established documentation retrieval system (see the distribution files associated with the topic, or contact your System Administrator for further information).

PODĚKOVÁNÍ
Lynx používá kód z mnoha zdrojů. Nejpůvodnější verze Lynxu používala kód Earla Fogela z Computing Services z Univerzity v Saskatchewan, který implementoval HYPERREZ v prostředí UNIXu. HYPERREZ byl vyvinut Nielem Larsonem z think.com a sloužil jako vzor pro rané verze Lynxu. Tyto verze také používaly knihovny z UNIXových gopher klientů vyvinutých na Univerzitě v Minnesotě, a pozdější verze Lynxu závisejí na kódu z knihovny WWW klienta vyvinutého Timem Bernes-Lee a WWW komunitou. Zvláštní dík patří také Foteovi Macridovi, který je autorem portu Lynxu na VMS, a který z větší části vyvíjel nebo vývoj organizoval od odchodu Lou Montulliho a Garreta Blytheho z Kansaské Univerzity v létě 1994 až do současného vydání verze 2.7.2, a každému na síti, kdo přispěl k vývoji Lynxu buď přímo (pomocí patchů, komentářů, nebo hlášení chyb) nebo nepřímo (inspirací a vývojem jiných systémů).

AUTOŘI
Lou Montulli, Garrett Blythe, Craig Lavender, Michael Grobe, Charles Rezac
Academic Computing Services
University of Kansas
Lawrence, Kansas 66047

Foteos Macrides
Worcester Foundation for Biomedical Research
Shrewsbury, Massachusetts 01545